## org.apache.mahout.clustering.spectral
Class VertexWritable

    java.lang.Object
      org.apache.mahout.clustering.spectral.VertexWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class VertexWritable

extends Object
implements org.apache.hadoop.io.Writable

Represents a vertex within the affinity graph for Eigencuts.

Constructor Summary
`VertexWritable()`
`VertexWritable(int i, int j, double v, String t)`

Method Summary
`int` `getCol()`
`int` `getRow()`
`String` `getType()`
`double` `getValue()`
`void` `readFields(DataInput arg0)`
`void` `setCol(int j)`
`void` `setRow(int i)`
`void` `setType(String t)`
`void` `setValue(double v)`
`void` `write(DataOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VertexWritable

    public VertexWritable()

### VertexWritable

    public VertexWritable(int i,
                          int j,
                          double v,
                          String t)

Method Detail

### getRow

    public int getRow()

### setRow

    public void setRow(int i)

### getCol

    public int getCol()

### setCol

    public void setCol(int j)

### getValue

    public double getValue()

### setValue

    public void setValue(double v)

### getType

    public String getType()

### setType

    public void setType(String t)

### readFields

    public void readFields(DataInput arg0)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### write

    public void write(DataOutput arg0)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.